Subject: Re: linux-next: build failure in final buil

From: Andrew Morton <[email-masked]>
Date: Mon, 18 May 2026 13:01:24 -0700

On Mon, 18 May 2026 17:11:12 +0100 Mark Brown <[email-masked]> wrote:

> During the final builds today's linux-next build (powerpc
> pseries_le_defconfig) failed like this:
> 
> /tmp/next/build/mm/hugetlb.c: In function 'hugetlb_unshare_pmds':
> /tmp/next/build/mm/hugetlb.c:7282:17: error: implicit declaration of function '__huge_pmd_unshare'; did you mean 'huge_pmd_unshare'? [-Wimplicit-function-declaration]
>  7282 |                 __huge_pmd_unshare(&tlb, vma, address, ptep, take_locks);
>       |                 ^~~~~~~~~~~~~~~~~~
>       |                 huge_pmd_unshare
> make[4]: *** [/tmp/next/build/scripts/Makefile.build:289
> 
> Caused by commit
> 
>   2bb8fe16f7bf4 (mm/hugetlb: avoid false positive lockdep assertion)
> 
> I have reverted this commit for today.

I removed this from mm.git on May 15, but I cannot find the email which
prompted me to do that :(

Oh well, I assume Lorenzo will send a new version, thanks.